<?php

if (isset($GLOBALS['TL_DCA']['tl_form_field']) && !empty($GLOBALS['TL_DCA']['tl_form_field']['palettes'])) {
    // Palettes
    foreach ($GLOBALS['TL_DCA']['tl_form_field']['palettes'] as $key => $value) {
        $GLOBALS['TL_DCA']['tl_form_field']['palettes'][$key] = str_replace(',class', ',cssHelperSelector,class', $value);
    }

    // Fields
    $GLOBALS['TL_DCA']['tl_form_field']['fields']['cssHelperSelector'] = array
    (
        'label'            => &$GLOBALS['TL_LANG']['MSC']['cssHelperSelector'],
        'exclude'          => true,
        'inputType'        => 'select',
        'options_callback' => function () {
            return \CreoCode\ContaoCssHelper\Models\CssHelperSelectorModel::getCssHelperStyles(
                \CreoCode\ContaoCssHelper\Models\CssHelperSelectorModel::TYPE_FORM_FIELD
            );
        },
        'search'           => true,
        'eval'             => array('chosen' => true, 'multiple' => true, 'tl_class' => 'clr'),
        'save_callback'    => array
        (
            function ($varValue, \DataContainer $dc) {
                $cssHelperSelectorUtil = new CreoCode\ContaoCssHelper\Classes\CssHelperCore();

                return $cssHelperSelectorUtil->saveCssClassCallback($varValue, $dc, 'class');
            }
        ),
        'sql'              => "blob NULL"
    );
}
